ClassificationFilter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.filterresult

## Class ClassificationFilter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.filterresult.ClassificationFilter

- All Implemented Interfaces:
    ResultFilterPanelInterface

      public class ClassificationFilter
      extends Object
      implements ResultFilterPanelInterface

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.portlets.user.speciesdiscovery.client.filterresult.ResultFilterPanelInterface

      `DEFAULTMARGIN, DEFAULTMARGINLEFT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassificationFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListnerOnChangeClassificationFilter()`
    `ClassificationModel` | `getFileModelByIdentifier(String id)`
    `String` | `getGroupRank()`
    `String` | `getName()`
    `com.extjs.gxt.ui.client.widget.ContentPanel` | `getPanel()`
    `void` | `loadDataSource(HashMap<String,Integer> result)`
    `void` | `loadDataSourceClassification(HashMap<String,ClassificationModel> result, String rank)`
    `boolean` | `renameItem(String identifier, String newName, Integer counter)`
    `void` | `reset()`
    `void` | `setEventBus(com.google.gwt.event.shared.EventBus eventBus)`
    `void` | `setExpandTreeLevel(String identifier, boolean bool)`
    `void` | `setHeaderTitle()`
    `boolean` | `updateItemCounter(String parentId, String itemIdentifier, String itemName, String rank, String itemBaseTaxonId, String baseTaxonName, int counter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassificationFilter

          public ClassificationFilter()

  - ### Method Detail

    - #### getGroupRank

          public String getGroupRank()

    - #### addListnerOnChangeClassificationFilter

          public void addListnerOnChangeClassificationFilter()

    - #### setEventBus

          public void setEventBus(com.google.gwt.event.shared.EventBus eventBus)

    - #### getPanel

          public com.extjs.gxt.ui.client.widget.ContentPanel getPanel()

      Specified by:
        `getPanel` in interface `ResultFilterPanelInterface`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ResultFilterPanelInterface`

    - #### setHeaderTitle

          public void setHeaderTitle()

      Specified by:
        `setHeaderTitle` in interface `ResultFilterPanelInterface`

    - #### setExpandTreeLevel

          public void setExpandTreeLevel(String identifier,
                                boolean bool)

    - #### getFileModelByIdentifier

          public ClassificationModel getFileModelByIdentifier(String id)

      Parameters:
        `id` -
      Returns:

    - #### renameItem

          public boolean renameItem(String identifier,
                           String newName,
                           Integer counter)

      Parameters:
        `fileTarget` - (MANDATORY)
        `newName` - (MANDATORY)
        `extension` - OPTIONAL - string or null

    - #### updateItemCounter

          public boolean updateItemCounter(String parentId,
                                  String itemIdentifier,
                                  String itemName,
                                  String rank,
                                  String itemBaseTaxonId,
                                  String baseTaxonName,
                                  int counter)

      Parameters:
        `identifier` -
        `counter` -
      Returns:

    - #### loadDataSourceClassification

          public void loadDataSourceClassification(HashMap<String,ClassificationModel> result,
                                          String rank)

    - #### reset

          public void reset()

    - #### loadDataSource

          public void loadDataSource(HashMap<String,Integer> result)

      Specified by:
        `loadDataSource` in interface `ResultFilterPanelInterface`

Copyright © 2013. All Rights Reserved.